const express = require('express');
const { memberAuth, validation, conventionAuth } = require('../../../middlewares');
const { body } = require('express-validator');
const { createTicket, getTickets, getTicket, updateTicket } = require('../../../controllers/conventions/tickets');
const router = express.Router();

///TESTT SUPERADMIN
router.get('/', getTickets);
router.post('/', [body('ticketNo').notEmpty(), validation], conventionAuth, createTicket);
///TESTT SUPERADMIN

router.get('/:ticketNo', conventionAuth, getTicket);
router.patch('/:ticketNo', conventionAuth, updateTicket);

module.exports = router;
